WordPress.org

Ready to get started?Download WordPress

Forums

Cross Slide Cross Fade
Conflict with mootools/menumatic? (6 posts)

  1. dadra
    Member
    Posted 2 years ago #

    Thanks a ton for this great plugin, super easy to use and exactly what I'm looking for.

    Unfortunately, it's causing the javascript functionality of my main nav menu to break. I'm using MenuMatic, which is powered by mootools. I've got CrossSlide on my home page only, and that's where the problem is...all other pages are unaffected and working just fine.

    I'm calling the MenuMatic script and mootools in my functions.php file:

    if ( !is_admin() ) {
    
    // load mootools
    wp_enqueue_script('mootools', 'http://ajax.googleapis.com/ajax/libs/mootools/1.2.4/mootools-yui-compressed.js');
    
    // load MenuMatic
    wp_enqueue_script('superfish', get_bloginfo('template_directory') . "/js/MenuMatic_0.68.3.js");
    
    }

    Any thoughts? Can I provide more information for you? I'd really love for this plugin to work out, and will absolutely make a donation for your time if I can get it to work with my theme. Thanks.

    http://wordpress.org/extend/plugins/crossslide-jquery-plugin-for-wordpress/

  2. dadra
    Member
    Posted 2 years ago #

    Update...

    I swapped out the menumatic script for one that runs with jquery instead, but now the jquery call in the plugin is conflicting with the one I'm loading via functions.php.

    I can get it working by hacking crossslide-jquery-plugin-for-wordpress.php and removing the jquery call at line 105, so that this:

    echo "<script src='http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.js' type='text/javascript'></script>
    <script src='";
    
    	$x = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
    	echo $x."jquery.cross-slide.js' type='text/javascript'></script> ";

    becomes this:

    echo "
    <script src='";
    
    	$x = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
    	echo $x."jquery.cross-slide.js' type='text/javascript'></script> ";

    CrossSlide then uses the version of jquery that's loaded via functions.php

    Is there a way to handle this that doesn't require hacking the plugin? Maybe an update to the plugin with a function that checks to see if jquery is already loaded, and if it is just uses that one rather than loading another?

    Thanks again for your good work!

  3. christopherross
    Member
    Plugin Author

    Posted 2 years ago #

    Hi dadra, thanks for bringing this to my attention.

    I have a new version of the plugin scheduled for mid February and will change the way jQuery is called to use the WP friendly method. In the mean time, what you're doing here is a perfectly good work around.

    Chris

  4. dadra
    Member
    Posted 2 years ago #

    Thanks Chris! I just made a donation. :-)

  5. voxnicodemus
    Member
    Posted 2 years ago #

    Hi, - please forgive a question from a complete amateur with coding etc, but I've been looking for a controllable zoom that will zoom in to specified points like centre/top/right left etc, and will then stay there - looping off if you see what I mean. It's surprisingly hard to find a non-flash one, does yours have a facility for turning 'looping' or whatever it is called off please? If so, am I right in thinking I can set if if I want to slow zoom in on centre, with no pan, or could that be done in future versions? (site won't be ready for a few months!). I don't want to get my hopes up, but it does look great...! - Cheers

  6. voxnicodemus
    Member
    Posted 2 years ago #

    - just to explain a bit more clearly, I mean having one or two images, and having it stop at the final zoom, but without going back to the beginning to start all over again endlessly looping......cheers

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic